@mixin borders(
    $weight: false,
    $type: solid,
    $color: rgba(255, 255, 255, 0.2),
    $all: false,
    $top: false,
    $bottom: false,
    $left: false,
    $right: false
) {
    @if($all) {
        border: $weight $type $color;
    }
    @if($top) {
        border-top: $weight $type $color;
    }
    @if($bottom) {
        border-bottom: $weight $type $color;
    }
    @if($left) {
        border-left: $weight $type $color;
    }
    @if($right) {
        border-right: $weight $type $color;
    }
}

.arrow {
  display: inline-flex;
  align-items: center;
  padding: 0.25em 0.5em 0.2em;
  cursor: pointer;
}

.arrow.left {
  @include borders(1px, $right: right);
  border-radius: 4px 0 0 4px;
}

.arrow.right {
  @include borders(1px, $left: left);
  border-radius: 0 4px 4px 0;
}

.arrow.left:not(.disabled):hover,
.arrow.right:not(.disabled):hover {
  border-color: transparent;
}

.triangle {
  display: inline-block;
  width: 0;
  height: 0;
  @include borders(7px, $color: transparent, $top: top);
  @include borders(7px, $color: transparent, $bottom: bottom);
}

.left .triangle {
  @include borders(11px, $color: rgba(255, 255, 255, 0.7), $right: right);
}

.right .triangle {
  @include borders(11px, $color: rgba(255, 255, 255, 0.7), $left: left);
}

#level-indicator,
.arrow {
  float: left;
  height: 30px;
  background-color: rgba(255, 255, 255, 0.2);
}

#level-indicator {
  display: inline-block;
  width: 160px;
  line-height: 30px;
  text-align: center;
  cursor: pointer;
}

#labelLevel {
  margin-left: 5px;
}

#level-indicator:hover,
.arrow:not(.disabled):hover {
  background-color: rgba(255, 255, 255, 0.4);
}
